Name: twiki
Version: 20000501
Release: 1
Group: Utilities/System
URL: http://TWiki.SourceForge.net
Copyright: GPL
Source: http://TWiki.SourceForge.net/TWiki20000501.zip
Summary: Web collaboration server.
BuildRoot: %{_tmppath}/twiki
Packager: dsummers@digital-realms.com
Requires: webserver, perl, rcs
%description

%changelog
* Mon May 22 2000 David Summers <dsummers@digital-realms.com>
  Initial Release (20000501)
  Moved bin/wikicfg.pm to /etc/wiki.conf

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/home/httpd/twiki

cd $RPM_BUILD_ROOT/home/httpd/twiki
unzip $RPM_SOURCE_DIR/TWiki20000501.zip

mv bin/wikicfg.pm $RPM_BUILD_ROOT/etc/twiki.conf
ln -s /etc/twiki.conf bin/wikicfg.pm

%post
if [ "$1"x = "1"x ]; then
   cat >> /etc/httpd/conf/httpd.conf <<EOF
# TWiki Configuration - BEGIN - Do not change

# Set up twiki binary directory.
ScriptAlias /twiki/bin/ "/home/httpd/twiki/bin/"

<Directory "/home/httpd/twiki/bin">
    AllowOverride None
    Options ExecCGI
    Order allow,deny
    Allow from all
</Directory>

# Set up twiki main directory
Alias /twiki "/home/httpd/twiki/"

<Directory "/home/httpd/twiki">
    Options Indexes Includes FollowSymLinks
    AllowOverride None
    Order allow,deny
    Allow from all
</Directory>

# Redirect main page to CGI main page program.
RewriteEngine on
RewriteRule ^/twiki/$ /twiki/bin/view [R]
RewriteRule ^/twiki$ /twiki/bin/view [R]
# TWiki Configuration - END - Do not change
EOF
fi

%postun
if [ "$1"x = "0"x ]; then
   cd /etc/httpd/conf && sed -e '/# TWiki Configuration - BEGIN - Do not change/,/# TWiki Configuration - END - Do not change/d' < httpd.conf > httpd.conf.new && mv httpd.conf.new httpd.conf
fi

%clean
# Clean up after compiling and installing.
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/twiki.conf
/home/httpd/twiki/*.html
/home/httpd/twiki/readme.txt
%dir /home/httpd/twiki
%dir /home/httpd/twiki/bin
%attr (0655,root,root) /home/httpd/twiki/bin/*
%dir %attr(0777,root,root) /home/httpd/twiki/data
%dir %attr(0777,root,root) /home/httpd/twiki/data/Know
%dir %attr(0777,root,root) /home/httpd/twiki/data/Main
%attr(0666,root,root) /home/httpd/twiki/data/.htpasswd
%attr(0666,root,root) /home/httpd/twiki/data/Know/*
%attr(0666,root,root) /home/httpd/twiki/data/Main/*
%attr(0666,root,root) /home/httpd/twiki/data/debug.txt
%dir %attr(0777,root,root) /home/httpd/twiki/pub
%dir %attr(0777,root,root) /home/httpd/twiki/pub/Know
%dir %attr(0777,root,root) /home/httpd/twiki/pub/Know/IncorrectDllVersionW32PTH10DLL
%dir %attr(0777,root,root) /home/httpd/twiki/pub/Main
%dir %attr(0777,root,root) /home/httpd/twiki/pub/Main/FileAttachment
%dir %attr(0777,root,root) /home/httpd/twiki/pub/icn
%attr(0666,root,root) /home/httpd/twiki/pub/*.gif
%attr(0666,root,root) /home/httpd/twiki/pub/Know/*/*
%attr(0666,root,root) /home/httpd/twiki/pub/Main/*/*
%attr(0666,root,root) /home/httpd/twiki/pub/icn/*
/home/httpd/twiki/templates
